jp2a (1.3.2-1) unstable; urgency=medium

  * New upstream version 1.3.2.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 12 Nov 2024 14:44:06 -0300

jp2a (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 22 Oct 2024 13:31:08 -0300

jp2a (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0.
  * debian/control:
      - Added libexif-dev and libwebp-dev to Build-Depends field.
      - Bumped Standards-Version to 4.7.0.
  * debian/copyright: updated packaging copyright years.
  * debian/source/lintian-overrides: updated some lintian messages.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 17 Oct 2024 15:51:31 -0300

jp2a (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0.
  * debian/control:
      - Bumped Standards-Version to 4.6.2.
      - Changed libncurses5-dev to libncurses-dev and pkg-config to pkgconf in
        Build-Depends field.
  * debian/copyright:
      - Converted the last paragraph of the GPL-2 in a comment.
      - Updated packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 26 Apr 2024 22:36:21 -0300

jp2a (1.1.1-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/copyright: updated packaging copyright years.
  * debian/rules: replaced override_dh_auto_install by
    execute_after_dh_auto_install.
  * debian/source/lintian-overrides: added new overrides.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 03 Oct 2022 20:41:57 -0300

jp2a (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1.
  * debian/control: bumped Standards-Version to 4.6.0.
  * debian/copyright: updated upstream copyright years.
  * debian/docs: added the README file.
  * debian/source/lintian-overrides: created to override messages about long
    lines in upstream tests. These lines are simulations of images in plain
    text and are useful for tests.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 25 Nov 2021 16:47:27 -0300

jp2a (1.1.0-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.5.1.
  * debian/copyright: updated packaging copyright years.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 16 Aug 2021 20:24:33 -0300

jp2a (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0.
  * debian/control:
      - Added  autoconf-archive and libpng-dev to Build-Depends field.
      - Improved long description.
      - Updated short description.
  * debian/source/include-binaries: added debian/tests/debian_logo.png.
  * debian/tests/:
      - Added debian_logo.png for a new test.
      - Updated control file to include a new test, specific for PNG.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 11 Oct 2020 22:17:51 -0300

jp2a (1.0.9-2) unstable; urgency=medium

  * debian/control: migrated DH level to 13.
  * debian/copyright: split GPL license text into GPL-2 and GPL-2+.
  * debian/tests/control: set two CI tests as superficial.
  * debian/upstream/metadata: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 17 Sep 2020 21:00:39 -0300

jp2a (1.0.9-1) unstable; urgency=medium

  * New upstream version 1.0.9.
  * debian/control: added pkg-config to Build-Depends field.
  * debian/patches/10_spelling-manpage.patch: removed. The upstream fixed the
    source code. Thanks!
  * debian/rules:
      - Created an override to avoid lintian package-installs-into-obsolete-dir.
      - Removed no longer needed variable DEB_LDFLAGS_MAINT_APPEND.
      - Removed no longer needed target override_dh_missing.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 12 Feb 2020 22:54:23 -0300

jp2a (1.0.8-2) unstable; urgency=medium

  * debian/tests/control: made the 3rd test skippable to avoid errors on arm64
    CI tests and allow jp2a migrate to testing.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 08 Feb 2020 17:46:05 -0300

jp2a (1.0.8-1) unstable; urgency=medium

  * New upstream version 1.0.8. (Closes: #842882, LP: #1252209)
  * Being the maintainer again. (Closes: #848673)
  * New upstream homepage.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
  * debian/copyright:
      - Added Upstream-Contact field.
      - Added new rights for upstream and packaging.
      - Updated packaging copyright years.
  * debian/docs: created to provide the BUGS file.
  * debian/patches/:
      - 10_fix-manpage.patch: removed. The upstream fixed a macro manpage.
        Thanks.
      - 10_spelling-manpage.patch: created to fix a spelling error in manpage.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/source/include-binaries: added to allow binaries in CI tests.
  * debian/tests/*: created to provide some CI tests.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 04 Feb 2020 22:22:24 -0300

jp2a (1.0.6-9) unstable; urgency=medium

  * QA upload.
  * debian/control:
    + Bump Standards-Version to 4.3.0.
    + Update Vcs-* fields to use git packaging repo in Salsa Debian
      Group.
    + Bump debhelper compat to v12.
  * debian/rules:
    + Use "dh_missing --fail-missing".

 -- Boyuan Yang <byang@debian.org>  Fri, 22 Mar 2019 13:17:39 -0400

jp2a (1.0.6-8) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer.
  * Migrated DH level to 11.
  * debian/control:
      - Bumped Standards-Version to 4.2.1.
      - Removed no longer needed build dependency dh-autoreconf.
  * debian/copyright:
      - Updated packaging copyright years.
      - Using a secure URI to Format field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 27 Nov 2018 22:35:52 -0200

jp2a (1.0.6-7) unstable; urgency=medium

  * Bumped DH level to 10.
  * New upstream homepage.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Changed from cgit to git in Vcs-Browser field.
      - Removed the autotools-dev from Build-Depends field.
  * debian/copyright: updated the packaging copyright years.
  * debian/gbp.conf: no longer used by me... Removed.
  * debian/patches/manpage.patch:
      - Renamed to 10_fix-manpage.patch.
      - Updated to remove unnecessary changes.
  * debian/rules: removed the --parallel option from dh.
  * debian/watch:
      - Bumped to version 4.
      - Updated the source address.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 10 Oct 2016 02:04:50 +0000

jp2a (1.0.6-6) unstable; urgency=medium

  * Using dh-autoreconf.
  * debian/control: bumped Standards-Version to 3.9.6.
  * debian/copyright:
      - Dropped dot-zero from GPL license short name.
      - Fixed the upstream license (using GPL-2 instead of GPL-2+).
      - Updated the packaging copyright years.
  * debian/rules: added the DEB_BUILD_MAINT_OPTIONS variable to fix the issues
      pointed by blhc tool.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 28 Apr 2015 19:50:35 -0300

jp2a (1.0.6-5) unstable; urgency=medium

  * New maintainer email address.
  * debian/control:
      - Removed dpkg-dev from Build-Depends field. DH9 no longer uses it.
      - Updated the Standards-Version from 3.9.4 to 3.9.5.
      - Updated the Vcs-Browser field.
  * debian/copyright: updated packaging copyright years.
  * debian/rules:
      - Removed the hardening lines. In DH9 it is automatic.
      - Using DEB_LDFLAGS_MAINT_APPEND now.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 08 Aug 2014 08:56:04 -0300

jp2a (1.0.6-4) unstable; urgency=low

  * Acknowledge NMU. Thanks to Matthias Klose and Julien Cristau.
    (Closes: #618208, #642983)
  * Migrations:
      - debian format from 1.0 to 3.0. (Closes: #664410)
      - debian/copyright to new format (1.0).
      - debian/rules: to new (reduced) format.
      - debhelper version from 7 to 9.
      - patch system from dpatch to quilt.
  * debian/control:
      - Added dpkg-dev in Build-Depends field.
      - Added ${misc:Depends} in Depends field.
      - Improved long description.
      - Removed screenshot reference from long description.
      - Updated Standards-Version from 3.8.3 to 3.9.4.
      - Updated VCS from svn to git.
  * debian/copyright: updated years from Debian packaging.
  * debian/README.source: removed because it is useless now.
  * debian/rules: added "LDFLAGS += -Wl,--as-needed" to avoid
    messages from dpkg-shlibdeps about unused linked libraries.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Thu, 02 May 2013 11:07:33 -0300

jp2a (1.0.6-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on libjpeg-dev, not libjpeg62-dev (closes: #642983)

 -- Julien Cristau <jcristau@debian.org>  Sun, 29 Jan 2012 18:14:41 +0100

jp2a (1.0.6-3.1) unstable; urgency=low

  * Non maintainer upload.
  * Build-depend on libcurl4-gnutls-dev. Closes: #618208. LP: #836803.

 -- Matthias Klose <doko@debian.org>  Mon, 29 Aug 2011 17:56:28 +0200

jp2a (1.0.6-3) unstable; urgency=low

  * Added patch directory and patch 01 to fix man page.
  * Updated debhelper version from 5 to 7.
  * Used dpatch to manage patches.

  * debian/control:
      - Added libncurses5-dev to Build-Depends field to avoid a warning from
        configure script.
      - Updated Standards-Version from 3.7.2 to 3.8.3.
      - Updated Vcs-Svn and Vcs-Browser from debian-br-team/unstable/jp2a to
        debian-br-team/packages/jp2a.

  * debian/copyright:
      - Changed, in packaging copyright information, from the expression "(C)"
        to word "Copyright".
      - Updated path of the local GPL text.
      - Updated packaging copyright from 2007 to 2007-2009.

  * debian/docs:
      - Removed. The README file tells about program compilation. The
        man/jp2a.html file has the same content of the man page.

  * debian/rules:
      - Added /debian/README.source reference to dh_installdocs.
      - Changed from "dh_clean -k" to "dh_prep" in install target.
      - Removed comments about binary-indep and binary-arch.
      - Removed build redundancy from binary-arch target.
      - Removed binary-indep from binary target.
      - Removed unused dh_installman from binary-arch target.
      - Removed some whitespaces at end of lines.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Tue, 25 Aug 2009 13:07:46 -0300

jp2a (1.0.6-2) unstable; urgency=low

  * Fixed debian/rules to don't ignore make clean errors.
  * Changed XS-X-Vcs-Svn to Vcs-Svn in debian/control.
  * Added Homepage and Vcs-Browser fields in debian/control.
  * Added Screenshot in long description.
  * Removed NEWS from debian/docs.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Sun, 09 Sep 2007 12:09:26 -0300

jp2a (1.0.6-1) unstable; urgency=low

  * Initial release (Closes: #409639)

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Fri, 16 Mar 2007 11:40:04 -0300
